Bug 7011 - Supplementary files should be modifiable (and downloadable) by copy/layout editors
Supplementary files should be modifiable (and downloadable) by copy/layout ed...
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Submissions and Publishing
2.4.3
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-10 22:26 PST by James MacGregor
Modified: 2013-10-29 23:05 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2012-01-10 22:26:58 PST
Currently: 

-- copyeditors have no access to supplementary files from the submission's Editing page. They should be able to view/download/upload new/edit/delete supplementary files as part of the copyediting process. (They might be able to download/edit this stuff from the submission's Summary page, but the option should be under Copyediting.)

-- layout editors can edit, upload and delete supplementary files, but they can't view/download them from teh submission's Editing page, which they should be able to do as per above. 

(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=2&t=7441&p=31936#p31936)
Comment 1 Alec Smecher 2013-01-02 09:40:04 PST
Fixed missing locale load
https://github.com/pkp/ojs/commit/6215803e617c1d9a9c6314365aaeacc3c490c92f
Comment 2 Alec Smecher 2013-01-02 09:45:01 PST
Fixed missing locale load
https://github.com/pkp/ojs/commit/9fab93fd9329459a15d2b68141188d9f9f0d57c2
Comment 3 Alec Smecher 2013-01-02 10:17:41 PST
James, can you confirm that Layout Editors are unable to download supplementary files? That works fine for me.
Comment 4 Alec Smecher 2013-02-20 15:27:30 PST
Deferring pending feedback.
Comment 5 James MacGregor 2013-10-29 23:05:04 PDT
Works -- thanks (belatedly), Alec!